Skip to content

getMethodTreeArray

READ

Get method tree array.

POST /api/v1/items/getMethodTreeArray
curl -X POST '<your-host>/api/v1/items/getMethodTreeArray' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "makeMethodId": "string"
  }'
Response
{
  "results": [
    {
      "description": "string",
      "externalId": "…",
      "isPickDescendant": true,
      "isRoot": true,
      "itemId": "string",
      "itemReadableId": "string",
      "itemTrackingType": "string",
      "itemType": "string",
      "kit": true,
      "makeMethodId": "string",
      "materialMakeMethodId": "string",
      "methodMaterialId": "string",
      "methodOperationStepIds": "…",
      "methodType": "Purchase to Order",
      "operationId": "string",
      "order": 0,
      "parentMaterialId": "string",
      "quantity": 0,
      "replenishmentSystem": "Buy",
      "revision": "string",
      "storageUnitIds": "…",
      "unitCost": 0,
      "unitOfMeasureCode": "string",
      "version": 0
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "makeMethodId": {
      "type": "string"
    }
  },
  "required": [
    "makeMethodId"
  ]
}